Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.variable
Class PlanningValueWalker

    java.lang.Object
      org.drools.planner.core.heuristic.selector.variable.PlanningValueWalker

All Implemented Interfaces:
  EventListener, SolverPhaseLifecycleListener

    public class PlanningValueWalker

extends Object
implements SolverPhaseLifecycleListener

Constructor Summary
`PlanningValueWalker(PlanningVariableDescriptor planningVariableDescriptor, PlanningValueSelector planningValueSelector)`

Method Summary
`void` | `beforeDeciding(AbstractStepScope stepScope)`
`PlanningVariableDescriptor` | `getPlanningVariableDescriptor()`
`Object` | `getWorkingValue()`
`boolean` | `hasWalk()`
`void` | `initPlanningEntityFactHandle(org.drools.FactHandle planningEntityFactHandle)`
`void` | `initWalk(Object planningEntity)`
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `resetWalk()`
`void` | `stepDecided(AbstractStepScope stepScope)`
`void` | `stepTaken(AbstractStepScope stepScope)`
`void` | `walk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningValueWalker

    public PlanningValueWalker(PlanningVariableDescriptor planningVariableDescriptor,
                               PlanningValueSelector planningValueSelector)

Method Detail

### getPlanningVariableDescriptor

    public PlanningVariableDescriptor getPlanningVariableDescriptor()

### getWorkingValue

    public Object getWorkingValue()

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`

### beforeDeciding

    public void beforeDeciding(AbstractStepScope stepScope)

  Specified by:
    `beforeDeciding` in interface `SolverPhaseLifecycleListener`

### stepDecided

    public void stepDecided(AbstractStepScope stepScope)

  Specified by:
    `stepDecided` in interface `SolverPhaseLifecycleListener`

### stepTaken

    public void stepTaken(AbstractStepScope stepScope)

  Specified by:
    `stepTaken` in interface `SolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`

### initWalk

    public void initWalk(Object planningEntity)

### initPlanningEntityFactHandle

    public void initPlanningEntityFactHandle(org.drools.FactHandle planningEntityFactHandle)

### hasWalk

    public boolean hasWalk()

### walk

    public void walk()

### resetWalk

    public void resetWalk()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.